
/* Huellas z    Fractales y Caos en un punto    5 de Mayo del 2001*/
/* Se autoriza la distribucion y uso libre de este programa (freeware) */
/* Fernando Galindo Soria    Cd. de Mexico */
/* www.fgalindosoria.com   */

#include <graphics.h>
#include <conio.h>
#include <stdio.h>
#include <stdlib.h>
#include <time.h>

void main()
{
  int gd=DETECT,gm,x,y,z,c,k;
  initgraph(&gd,&gm,"");
  randomize();

// mensaje de inicio
 cleardevice();
 printf("Huellas X  Fractales y Caos en un punto \n");
 printf("programa que genera fractales graficando un punto\n");
 printf("Se autoriza la distribucion y uso libre de este programa (freeware)\n");
 printf("Fernando Galindo Soria   www.fgalindosoria.com   \n");
 printf("    5 de Mayo del 2001     Cd. de Mexico\n");
 printf("\n el programa termina con cualquier tecla\n");
 printf("\n oprime una tecla para continuar");
 getch();
 cleardevice();

  z=1;c=0;k=10;
  while(!kbhit()){
    for (x=1; x<getmaxx(); x+=10)
      for (y=1; y<getmaxy(); y+=10){
      //	 c=getpixel(x+k,y+k);
	 putpixel(x+k,y+k,(x*y)/(z));}
    z+=1; if(z==0)z=1;
    k--; if(k==0)k=random(1000);
  }
  getch();
  closegraph();
}